Package org.globus.gsi.gssapi.jaas

# Class StandardSubject

java.lang.Object
org.globus.gsi.gssapi.jaas.JaasSubject
org.globus.gsi.gssapi.jaas.StandardSubject

public class StandardSubject extends JaasSubject
Standard JAAS implementation of the JAAS Subject helper API. This implementation (because of a problem in JAAS) can cut off the Subject object from the thread context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StandardSubject()`

## Method Summary

Modifier and Type
Method
Description
`Subject`
`getSubject()`
SPI method.
`Object`
`runAs(Subject subject, PrivilegedAction action)`
SPI method.
`Object`
`runAs(Subject subject, PrivilegedExceptionAction action)`
SPI method.

### Methods inherited from class org.globus.gsi.gssapi.jaas.JaasSubject

`doAs, doAs, getCurrentSubject, getJaasSubject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardSubject

protected StandardSubject()

## Method Details

### getSubject

public Subject getSubject()
Description copied from class: `JaasSubject`
SPI method.

Specified by:
  `getSubject` in class `JaasSubject`

### runAs

public Object runAs(Subject subject, PrivilegedAction action)
Description copied from class: `JaasSubject`
SPI method.

Specified by:
  `runAs` in class `JaasSubject`

### runAs

public Object runAs(Subject subject, PrivilegedExceptionAction action) throws PrivilegedActionException
Description copied from class: `JaasSubject`
SPI method.

Specified by:
  `runAs` in class `JaasSubject`
Throws:
  `PrivilegedActionException`